(height, percent, charge, low, lbr, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height / 2;
	canvas.width = canvas.height * 3;
	var ctx  = canvas.getContext("2d");
	
	var drawWidth = canvas.width;
	var drawHeight = canvas.height;
	var r = drawHeight / 2;
	var p_Left = r;
	var p_Right = drawWidth - r;
	var p_Center = drawHeight / 2;
	var rectWidth = drawWidth * percent / 100;
	
	
	
	
	ctx.fillStyle="rgb(" + m_color.join()+ ")";
	ctx.beginPath();
	ctx.moveTo( p_Left, 0 );
	ctx.lineTo( p_Right, 0 );
	ctx.arc( p_Right, p_Center, r, -Math.PI/2, Math.PI/2 );
	ctx.lineTo( p_Left, drawHeight );
	ctx.arc( p_Left, p_Center, r, Math.PI/2, Math.PI/2 * 3 );
	ctx.closePath();
	ctx.clip();
	ctx.fillRect(0, 0, rectWidth, drawHeight);
	
	ctx.strokeStyle="rgb(" + b_color.slice(0, 3).join()+ ")";
	ctx.beginPath();
	ctx.moveTo( p_Left, 0 );
	ctx.lineTo( p_Right, 0 );
	ctx.arc( p_Right, p_Center, r, -Math.PI/2, Math.PI/2 );
	ctx.lineTo( p_Left, drawHeight );
	ctx.arc( p_Left, p_Center, r, Math.PI/2, Math.PI/2 * 3 );
	ctx.closePath();
	ctx.stroke();
	
	return canvas.toDataURL("image/png");
}

